-- This script creates batch Postings sample tables on an oracle db.
--
-- 1. Process this script using SQL*Plus
-- 2. Replace all occurrances of @IVT_TABLESPACE@ with a valid tablespace that was 
--    created by the CreateIVTTableSpaceOracle.ddl script.
-- Example: 
--  o  sqlplus username/password@IVTDB @CreateIVTTablesOracle.ddl
--  o  or, at the sqlplus prompt, enter
--     SQL> @CreateIVTTablesOracle.ddl


------------------------------------------------

-- DDL Statements for table "IVTTABLE"

------------------------------------------------

 

CREATE TABLE "IVTTABLE" (
"JOBID" VARCHAR(250) NOT NULL , 
"COUNT" INTEGER NOT NULL , 
"RECORD" VARCHAR(250) NOT NULL )  
TABLESPACE @IVT_TABLESPACE@; 



-- DDL Statements for primary key on Table "IVTTABLE"



ALTER TABLE "IVTTABLE" 
	ADD CONSTRAINT "PK_ACCOUNT" PRIMARY KEY
		("JOBID","COUNT");









