-- This script creates batch Postings sample tables on an oracle db.
--
-- 1. Process this script using SQL*Plus
-- 2. Replace all occurrances of @POSTINGS_TABLESPACE@ with a valid tablespace that was 
--    created by the CreatePostingsTableSpaceOracle.ddl script.
-- Example: 
--  o  sqlplus username/password@POSTINGSDB @CreatePostingsTablesOracle.ddl
--  o  or, at the sqlplus prompt, enter
--     SQL> @CreatePostingsTablesOracle.ddl


------------------------------------------------

-- DDL Statements for table "ACCOUNT"

------------------------------------------------

 

CREATE TABLE "ACCOUNT" (
"ACCOUNTID" VARCHAR(250) NOT NULL,
"OVERDRAFTPROTECTION" FLOAT,
"OVERDRAFTUSED" FLOAT,
"BALANCE" FLOAT )   
TABLESPACE @POSTINGS_TABLESPACE@; 



-- DDL Statements for primary key on Table "ACCOUNT"



ALTER TABLE "ACCOUNT" 
	ADD CONSTRAINT "PK_ACCOUNT" PRIMARY KEY
		("ACCOUNTID");









