
-- This script alters SUBMITTER column in Long Running Scheduler database. 
-- This script can be modified if needed to change the name of database or name of the Schema used. 
-- Default database name is LRSCHED and default schema name is LRSSCHEMA.
-- The script will alter the long running scheduler Derby database in the directory 
-- from which it is invoked.
-- Process This script in the ij command line processor.  
-- Example:  
-- java -Djava.ext.dirs=C:/WebSPhere/AppServer/derby/lib -Dij.protocol=jdbc:derby: org.apache.derby.tools.ij AlterLRSCHEDTablesDerby.ddl

CONNECT 'jdbc:derby:LRSCHED;create=false';




-----------------------------------------------------------------------
-- DDL Statements for table "LRSSCHEMA"."JOBSTATUS"
-----------------------------------------------------------------------

ALTER TABLE "LRSSCHEMA"."JOBSTATUS"
        ALTER "SUBMITTER" SET DATA TYPE VARCHAR(256);




-----------------------------------------------------------------------
-- DDL Statements for table "LRSSCHEMA"."RECURRINGREQUEST"
-----------------------------------------------------------------------

ALTER TABLE "LRSSCHEMA"."RECURRINGREQUEST"
        ALTER "SUBMITTER" SET DATA TYPE VARCHAR(256);




-----------------------------------------------------------------------
-- DDL Statements for table "LRSSCHEMA"."JOBUSAGE"
-----------------------------------------------------------------------

ALTER TABLE "LRSSCHEMA"."JOBUSAGE" 
        ALTER "SUBMITTER" SET DATA TYPE VARCHAR(256);

