-- This script alters SUBMITTER column in Long Running Scheduler database.
-- This script can be modified if needed to change the name of database or name of the Schema used. 
-- Default database name is LRSCHED and default schema name is LRSSCHEMA.
-- The following command can be issued from Informix command line processor.
-- To run this script type at cmd-line in <informix_install>/bin
-- dbaccess - AlterLRSCHEDTablesInformix.sql




CONNECT TO "LRSCHED";


-----------------------------------------------------------------------
-- DDL Statements for table LRSSCHEMA.JOBSTATUS
-----------------------------------------------------------------------

ALTER TABLE LRSSCHEMA.JOBSTATUS
	MODIFY SUBMITER VARCHAR(256);
        



-----------------------------------------------------------------------
-- DDL Statements for table LRSSCHEMA.RECURRINGREQUEST
-----------------------------------------------------------------------

ALTER TABLE LRSSCHEMA.RECURRINGREQUEST
	MODIFY SUBMITER VARCHAR(256);





-----------------------------------------------------------------------
-- DDL Statements for table LRSSCHEMA.JOBUSAGE
-----------------------------------------------------------------------

ALTER TABLE LRSSCHEMA.JOBUSAGE
	MODIFY SUBMITER VARCHAR(256);

