from com.ibm.websphere.bbson.jmx import AbstractDump
from com.ibm.websphere.bbson.jmx import ConcreteDump
from java.lang import Integer
from java.lang import Object

def convertToList(inlist):
     outlist=[]
     if (len(inlist)>0 and inlist[0]=='[' and inlist[len(inlist)-1]==']'):
        inlist = inlist[1:len(inlist)-1]
        clist = inlist.split(" ")
     else:
        clist = inlist.split(lineSeparator)
     for elem in clist:
        elem=elem.rstrip();
        if (len(elem)>0):
           outlist.append(elem)
     return outlist

def dumpBB(): 
  mbeanStr='WebSphere:*,type=BBSON'
  mbeans=convertToList(AdminControl.queryNames(mbeanStr))
  print 'Got ' + Object.toString(len(mbeans)) + ' beans.'
  for mbean in  mbeans:
    print 'BEAN,' + mbean
    objName = AdminControl.makeObjectName(mbean)
    parms = []
    sig = []
    asd = AdminControl.invoke_jmx(objName,'getAbstractStateDump',parms,sig)
    dest = asd.writeAsFiles("bbdumps", "*");
    print 'Wrote abstract dump to ' + dest
    csd = AdminControl.invoke_jmx(objName,'getConcreteStateDump',parms,sig)
    dest = csd.writeAsFile("bbdumps", "concrete.txt");
    print 'Wrote concrete dump to ' + dest

def printHelp(): 
  print """   
  Usage:
    wsadmin -f dumpNewBB.py
      This takes no argument
  """
   
   
if(len(sys.argv) == 0):
  dumpBB()
else:
    printHelp()
 
 
 
