//EEXACCEP JOB <JOB CARD PARAMETERS>                                            
//*********************************************************************         
//* Licensed Material - Property of IBM                               *         
//* 5655-P28,5655-S33 (C) Copyright IBM Corp. 2006,2007               *         
//*                                                                   *         
//* All Rights Reserved.                                              *         
//*                                                                   *         
//* U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or  *         
//* Disclosure restricted by GSA-ADP schedule contract with IBM Corp. *         
//*                                                                   *         
//* Status = HEEX610                                                  *         
//* _________________________________________________________________ *         
//*                                                                   *         
//*  This JCL will do the ACCEPT for the installation of              *         
//*  WebSphere Extended Deployment for z/OS.                          *         
//*                                                                   *         
//*  CAUTION: This is neither a JCL procedure nor a complete job.     *         
//*  Before using this job step, you will have to make the following  *         
//*  modifications:                                                   *         
//*                                                                   *         
//*  1) Add the job parameters to meet your system requirements       *         
//*  2) Change #globalcsi to the dataset name of your global          *         
//*     CSI data set                                                  *         
//*  3) Change #dzone to the name of your distribution zone           *         
//*  4) change #option with value corresponding to the set that was   *         
//*     ordered                                                       *         
//*                                                                   *         
//*     P28:     for order 5655-P28 - the entire WebSphere Extended   *         
//*              Deployment Suite                                     *         
//*     S33OOC:  for order 5655-S33 - WebSphere Extended Deployment   *         
//*              Operations Optimization Controller Component         *         
//*     S33DG:   for order 5655-S33 - WebSphere Extended Deployment   *         
//*              Data Grid Component                                  *         
//*     S33CG:   for order 5655-S33 - WebSphere Extended Deployment   *         
//*              Compute Grid Component                               *         
//*                                                                   *         
//*  Expected return code and messages: 0, no messages                *         
//*                                                                   *         
//*********************************************************************         
//STEP1 EXEC PGM=GIMSMP,REGION=0M,TIME=NOLIMIT                                  
//SMPCSI DD DSN=#globalcsi,DISP=SHR                                             
//SMPCNTL DD DDNAME=#option                                                     
//P28 DD *                                                                      
  SET BOUNDARY(#dzone) .                                                        
  ACCEPT CHECK                                                                  
   FORFMID(HEEX610, JEJE028, JEJC610, JEJD610, JEJO610)                         
   SELECT(HEEX610, JEJE028, JEJC610, JEJD610, JEJO610)                          
   GROUPEXTEND(NOAPARS,NOUSERMODS)                                              
   BYPASS(HOLDSYS, XZIFREQ).                                                    
/*                                                                              
//S33OOC DD *                                                                   
  SET BOUNDARY(#dzone) .                                                        
  ACCEPT CHECK                                                                  
   FORFMID(HEEX610, JEJE033, JEJO610)                                           
   SELECT(HEEX610, JEJE033, JEJO610)                                            
   GROUPEXTEND(NOAPARS,NOUSERMODS)                                              
   BYPASS(HOLDSYS, XZIFREQ).                                                    
/*                                                                              
//S33DG DD *                                                                    
  SET BOUNDARY(#dzone) .                                                        
  ACCEPT CHECK                                                                  
   FORFMID(HEEX610, JEJE033, JEJD610)                                           
   SELECT(HEEX610, JEJE033, JEJD610)                                            
   GROUPEXTEND(NOAPARS,NOUSERMODS)                                              
   BYPASS(HOLDSYS, XZIFREQ).                                                    
/*                                                                              
//S33CG DD *                                                                    
  SET BOUNDARY(#dzone) .                                                        
  ACCEPT CHECK                                                                  
   FORFMID(HEEX610, JEJE033, JEJC610)                                           
   SELECT(HEEX610, JEJE033, JEJC610)                                            
   GROUPEXTEND(NOAPARS,NOUSERMODS)                                              
   BYPASS(HOLDSYS, XZIFREQ).                                                    
/*                                                                              
