<%-- IBM Confidential OCO Source Material --%>
<%-- 5724-I63, 5724-H88, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp. 1997, 2006 --%>
<%-- The source code for this program is not published or otherwise divested --%>
<%-- of its trade secrets, irrespective of what has been deposited with the --%>
<%-- U.S. Copyright Office. --%>
<%@ page language="java" contentType="text/plain; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ page import="com.ibm.websphere.product.WASDirectory"%>
<%@ page import="java.util.StringTokenizer"%>
<%@ page import="java.util.ArrayList"%>

<%!
// declare methods
   int[] getVersionInt(String ver) {
       StringTokenizer tokenizer = new StringTokenizer(ver,".") ;
       int[] version = new int[tokenizer.countTokens()];
       for ( int i=0; i < version.length; i++ ) {
           String token = tokenizer.nextToken();
           version[i] = Integer.parseInt(token);
       }
      return version;
   }

   // compare this versions with otherVersion.  Return
   //  <0  if this < other
   //  0  if this == other
   //  >0 if this > other
   //
   int compare(String thisVersion, String otherVersion) {
      int[] thisVer = getVersionInt(thisVersion);
      int[] otherVer = getVersionInt(otherVersion);

      int mylen = thisVer.length;
      int otherlen = otherVer.length;
      boolean longer = (mylen < otherlen);
      int minLen = (longer ? mylen : otherlen);
      int diff = (longer ? mylen - otherlen : otherlen - mylen);

      int i = 0;
      for ( i=0; i < minLen; i++ ) {
          int firstVal = thisVer[i];
          int secondVal = otherVer[i];
          if ( firstVal < secondVal )
              return -1;
          if ( firstVal > secondVal )
              return 1;
      }

      //Ensure all I have is .0 at the end, trailing .0 make things equal.
      boolean trail = false;
      if (longer) {
          for (int j = i+1; j<mylen; j++) {
              trail &= !(thisVer[j] == 0);
          }
          if (trail) {
              return 1;
          }
      } else {
          for (int j = i+1; j<otherlen; j++) {
              trail &= !(otherVer[j] == 0);
          }
          if (trail) {
              return -1;
          }
      }
      return 0;
   }

   // compare two versions and return the higher one.
   String getHigherVersion(String firstVersion, String secondVersion) {
      int result = compare(firstVersion, secondVersion);
      if (result == 1)
         return firstVersion;
      else
         return secondVersion;
   }

%>

<%
       String version = "unknown";
	WASDirectory wd = new WASDirectory(System.getProperty("was.install.root"));
       ArrayList versionList = new ArrayList();

	String opversion = wd.getVersion("WXDOP");
       if (opversion != null)
         versionList.add(opversion);

	String cgversion = wd.getVersion("WXDCG");
       if (cgversion != null)
         versionList.add(cgversion);

	String dgversion = wd.getVersion("WXDDG");
       if (dgversion != null)
         versionList.add(dgversion);

       // gets the first one in the list
       if (versionList.size() > 0)
         version = (String)versionList.get(0);

       // compare version with other version in the list
       for (int i = 1; i < versionList.size(); i++) {
           String otherVersion = (String) versionList.get(i);
           version = getHigherVersion(version, otherVersion);
       }
%>
<%=version%>