-- Scriptfile to create a Derby database for the CGIVT test bucket application. This script
-- can be modified if needed to change the name of database or name of the Schema used. Default
-- database name is IVTDB and default schema name is IVTSCHEMA
-- The script will produce the IVTDB Derby database in the directory 
-- from which it is invoked.
-- Process This script in the ij command line processor.  
-- Example  
--    java -Djava.ext.dirs=C:/WebSPhere/AppServer/derby/lib -Dij.protocol=jdbc:derby: org.apache.derby.tools.ij CreateIVTTablesDerby.ddl


CONNECT 'jdbc:derby:IVTDB;create=true';




DROP TABLE "IVTSCHEMA"."IVTTABLE";

CREATE TABLE "IVTSCHEMA"."IVTTABLE"  (

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "COUNT" INTEGER  NOT NULL,
		  
		  "RECORD" VARCHAR(256) )  

		 ; 
		 
ALTER TABLE "IVTSCHEMA"."IVTTABLE" 

	ADD CONSTRAINT "PK_ACCOUNT" PRIMARY KEY

		("JOBID","COUNT");
		 


                 
COMMIT WORK;


DISCONNECT;

