-- This script alters SUBMITTER column in Long Running Scheduler database.
-- This script can be modified if needed to change the name of database or name of the Schema used. 
-- Default database name is LRSCHED and default schema name is LRSSCHEMA.
-- The following commands can be issue from DB2 command line processor
-- to run this script:
--             db2 -tf AlterLRSCHEDTablesDB2.ddl

CONNECT TO LRSCHED;

-----------------------------------------------------------------------
-- DDL Statements for table "LRSSCHEMA"."JOBSTATUS"
-----------------------------------------------------------------------

ALTER TABLE "LRSSCHEMA"."JOBSTATUS" 
	ALTER "SUBMITTER" SET DATA TYPE VARCHAR(256);
        



-----------------------------------------------------------------------
-- DDL Statements for table "LRSSCHEMA"."RECURRINGREQUEST"
-----------------------------------------------------------------------

ALTER TABLE "LRSSCHEMA"."RECURRINGREQUEST" 
	ALTER "SUBMITTER" SET DATA TYPE VARCHAR(256);




-----------------------------------------------------------------------
-- DDL Statements for table "LRSSCHEMA"."JOBSTATUS"
-----------------------------------------------------------------------

ALTER TABLE "LRSSCHEMA"."JOBUSAGE" 
	ALTER "SUBMITTER" SET DATA TYPE VARCHAR(256);

