-- This script alters SUBMITTER column in Long Running Scheduler database.
-- This script can be modified if needed to change the name of database or name of the Schema used. 
-- Default database name is LRSCHED and default schema name is LRSSCHEMA.
--
-- 1.Process this script using SQL*Plus
-- 2. Replace all occurrances of @LRSCHED_TABLESPACE@ with a valid tablespace that was 
--    created by the CreateLRSCHEDTablespaceOracle.ddl script.
-- Example: 
--  o  sqlplus username/password@LRSCHED @AlterLRSCHEDTablesOracle.ddl
--  o  or, at the sqlplus prompt, enter
--     SQL> @AlterLRSCHEDTablesOracle.ddl

-----------------------------------------------------------------------

-- DDL Statements for table "JOBSTATUS"

-----------------------------------------------------------------------

ALTER TABLE "JOBSTATUS" 
	MODIFY "SUBMITTER" VARCHAR(256);
        




-----------------------------------------------------------------------

-- DDL Statements for table "RECURRINGREQUEST"

-----------------------------------------------------------------------

ALTER TABLE "RECURRINGREQUEST" 
	MODIFY "SUBMITTER" VARCHAR(256);






-----------------------------------------------------------------------

-- DDL Statements for table "JOBUSAGE"

-----------------------------------------------------------------------

ALTER TABLE "JOBUSAGE" 
	MODIFY "SUBMITTER" VARCHAR(256);

