#  This program may be used, executed, copied, modified and distributed
#  without royalty for the purpose of developing, using, marketing, or distributing.

#
# installXDPortlet - installs the XD Portlet into the ISC for CG UTE
#
# author - gkwan

import os

server = None

i = 0
while i < len(sys.argv):
    # retrieve WAS home directory
    if sys.argv[i] == '-washome':
        pathToXDPortlet = sys.argv[i+1] + "/systemApps/isclite.ear/xdportlet.war"
    # retrieve server name
    if sys.argv[i] == '-server':
        server = sys.argv[i+1]
    i = i + 1

if server == None:
  server = "server1"
  
print "WAS_HOME="+pathToXDPortlet

print "Updating the ISCLite Module"

print "XDPortlet reported to be in: " + pathToXDPortlet

changed = 0
serv = AdminConfig.getid('/Server:%s/' % server)
print serv
if serv != "":
    modulesList = AdminApp.listModules('isclite').split(java.lang.System.getProperty("line.separator"))
    changed = 1
    for modules in modulesList:
        print "modules contain in isclite: " + modules
        if (modules == "isclite#xdportlet.war+WEB-INF/web.xml"):
             changed = 0
             print "xdportlet.war is contained in isclite.ear"

    if (changed == 1):
        AdminApp.update('isclite', 'modulefile', '[-operation add -contents \'' + pathToXDPortlet + '\' -contenturi xdportlet.war -custom -usedefaultbindings -contextroot /xdportlet -server ' + server + ' -MapWebModToVH [[.* .* admin_host]]]')


#save
if (changed == 1):
   print "saving workspace"
   AdminConfig.save()
