-- Scriptfile to create tablespaces for Oracle
-- 1)  Replace all occurrances or @location@ in this file with the location
--     where you want the objects to be stored
-- 2)  Replace all occurrances of @PJM_TABLESPACE@ with a valid tablespace name
-- 3)  Start this script with SQL*Plus
--
-- Example: 
--         sqlplus username/password@lree @CreateLREETablespaceOracle.ddl

CREATE TABLESPACE @PJM_TABLESPACE@ DATAFILE '@location@/@PJM_TABLESPACE@.dbf' SIZE 5M AUTOEXTEND ON NEXT 1M MAXSIZE UNLIMITED DEFAULT STORAGE (INITIAL 20K NEXT 20K MAXEXTENTS UNLIMITED PCTINCREASE 0);
